Package org.springframework.http.server

# Interface PathContainer.PathSegment

All Superinterfaces:
  `PathContainer.Element`

Enclosing interface:
  PathContainer

public static interface PathContainer.PathSegment extends PathContainer.Element
Path segment element.

## Method Summary

Modifier and Type
Method
Description
`org.springframework.util.MultiValueMap<String,String>`
`parameters()`
Path parameters associated with this path segment.
`String`
`valueToMatch()`
Return the path segment value, decoded and sanitized, for path matching.
`char[]`
`valueToMatchAsChars()`
Expose `valueToMatch()` as a character array.

### Methods inherited from interface org.springframework.http.server.PathContainer.Element

`value`

## Method Details

### valueToMatch

String valueToMatch()
Return the path segment value, decoded and sanitized, for path matching.

### valueToMatchAsChars

char[] valueToMatchAsChars()
Expose `valueToMatch()` as a character array.

### parameters

org.springframework.util.MultiValueMap<String,String> parameters()
Path parameters associated with this path segment.

Returns:
  an unmodifiable map containing the parameters